Skip to main content
Called by iGamingAce to reverse a previous Withdraw, Deposit, or BetWin. Restore the player’s balance to its state before the original transaction. iGamingAce calls your /RollbackTransaction endpoint to cancel and reverse a previously completed Withdraw, Deposit, or BetWin transaction. Your server must restore the player’s balance to what it was before the original transaction was applied. If the transactionID was never processed on your end, return result 8. You implement this endpoint on your own server.

Endpoint

POST https://{your_callback_base_url}/RollbackTransaction
Replace {your_callback_base_url} with the HTTPS base URL you registered with iGamingAce (for example, https://merchant.com/callbackService).

Request Parameters

ParameterDescriptionFormatExample
agentIDID of agent, Identification of Licenseestringagent01
userIDPlayer ID, Alphanumeric characters, minimum length 4, maximum length 48.string(4-48)player01
refTransactionIDReference of the transaction that should be rolled back.string51ea706116314905b80e70b2c013f48e
gameIDgame id which player is playinginteger1566
signHMAC-SHA-256 signature computed with your secret key.
Expressed as a 64-character uppercase hex string.
(Refer Data Sign)
string (64)5E0A0349AE36AD67CD21D891AB124CCE8CC4171C5BD7EF5B26FCA86DB71F500A

Response

ParameterDescriptionFormatExample
codeResult codesinteger0
messageDescription of the error, this field can be empty when successstring(256)Cannot find specified user id